$('.nocharespecial').on('blur', function(){
    var blacklist = /[`~!@#$%^&*()_|+\-=?;:'",.<>\{\}\[\]\\\/]/gi;
    var frase = $(this).val();
    var frase_ajustada = frase.replace(blacklist, '');
    $(this).val(frase_ajustada);
});

$('.nocharespecial').on('keypress', function (e) {
    // var regex = new RegExp("^[a-zA-Z0-9._\b]+$");
    var regex = new RegExp("^[a-zA-Z0-9 \b]+$"); 
    var str   = String.fromCharCode(!e.charCode ? e.which : e.charCode);

    if (regex.test(str)) {
      return true;
    }
    e.preventDefault();
    return false;
});